use utf8;

{
key => {
	'[' => "slow down 10%",
	']' => "speed up 10%",
	'{' => "half speed",
	'}' => "double speed",
	'<' => "previous file",
	'>' => "next file",
	'p' => "pause",
	'.' => "step forward",
	'q' => "stop and quit",
	'+' => "audio delay +<>.1s",
	'-' => "audio delay -<>.1s",
	'/' => "volume decrease",
	'*' => "volume increase",
	'm' => "mute sound",
	'#' => "cycle audio tr<>ack<>s",
	'f' => "full<>screen",
	'T' => "stay on top",
	'w' => "pan/sc. decr<>eas<>e",
	'e' => "pan/scan increase",
	'o' => "osd state switch",
	'd' => "frame drop mode",
	'v' => "subtitle visibility",
	'b' => "next sub<>title",
	'j' => "prev<>ious sub<>title",
	'g' => "back in sub<>title<>s list",
	'y' => "forward in sub<>title<>s list",
	'F' => "forced subtitles",
	'a' => "align subtitles",
	'c' => "cycle fs mode",
	'n' => "restore video mode",
	'x' => "subtitle delay +<>.1<>s",
	'z' => "subtitle delay -<>.1<>s",
	'r' => "subtitles up",
	't' => "subtitles down",
	's' => "screen<>shot\n-vf screenshot",
	'S' => "record screen<>shot<>s\n-vf screenshot",
	'I' => "filename",
	'!' => "chapter back",
	'@' => "chapter forward",
	'1' => "contrast less",
	'2' => "contrast more",
	'3' => "brighter",
	'4' => "darker",
	'5' => "hue to red",
	'6' => "hue to blue",
	'7' => "saturate",
	'8' => "de<>saturate",
},

mode => {
	'' => "interactive control",
},

flag => {
	g1 => [osd       => "Print information or change display."],
	g2 => [subtitles => "Alter subtitle selection and settings."],
	g4 => [video     => "Video output adjustment."],
	g6 => [audio     => "Sound (track) configuration."],
	g7 => [playback  => "Playback control."],
	g9 => [general   => "Other MPlayer features."],

	arg => ["key<arg>" => "Commands with a dot need an argument afterwards."],
	ext => ["optional" => "Some features depend on setup and/or parameters."],
},

def => {
	'' => {
		"\e"=> 'q',
		'[' => 'g7',
		']' => 'g7',
		'{' => 'g7',
		'}' => 'g7',
		'<' => 'g9',
		'>' => 'g9',
		'p' => 'g7',
		'.' => 'g7',
		'q' => 'g9',
		'+' => 'g6',
		'-' => 'g6',
		'/' => 'g6',
		'*' => 'g6',
		'9' => '=/',
		'0' => '=*',
		'm' => 'g6',
		'#' => 'g6',
		'f' => 'g4',
		'T' => 'g4',
		'w' => 'g4',
		'e' => 'g4',
		'o' => 'g1',
		'd' => 'g4',
		'v' => 'g2',
		'b' => 'g2',
		'j' => 'g2',
		'y' => 'g2',
		'g' => 'g2',
		'F' => 'g2',
		'a' => 'g2',
		'c' => 'g4 ext',
		'n' => 'g4 ext',
		'x' => 'g2',
		'z' => 'g2',
		'r' => 'g2',
		't' => 'g2',
		's' => 'g9 ext',
		'S' => 'g9 ext',
		'I' => 'g1',
		'!' => 'g7',
		'@' => 'g7',
		'1' => 'g4 ext',
		'2' => 'g4 ext',
		'3' => 'g4 ext',
		'4' => 'g4 ext',
		'5' => 'g4 ext',
		'6' => 'g4 ext',
		'7' => 'g4 ext',
		'8' => 'g4 ext',
	},
},
}
